Subject: Re: LLTX and netif_stop_queue

From: Eric Lemoine <[email-masked]>
Date: Mon, 3 Jan 2005 18:07:00 +0100

On Mon, 03 Jan 2005 08:54:59 -0800, Roland Dreier <[email-masked]> wrote:
>     Eric> What are your machines? In particular, how many CPUs do they have?
> 
> Dual Xeons with HT on, so they look like 4 CPUs.

If I understand correctly, LLTX aims at avoiding cache misses on lock
variables (because of cacheline bouncing). So the effect of LLTX
should increase as the number of CPUs not sharing the same cache
increases. And two CPUs might not be enough...

-- 
Eric